/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package uk.co.ruelgnoj.orion.defproj.dto;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import java.util.Collections;
import java.util.List;

/**
 *
 * @author steve
 */
@XStreamAlias("orion-transfer")
public class TransferDTO {
    
    @XStreamImplicit(itemFieldName="category")
    private List<CategoryDTO> categories;

    public TransferDTO() {
    }

    public List<CategoryDTO> getCategories() {
        if (categories == null) {
            return Collections.emptyList();
        }
        return categories;
    }

    public void setCategories(List<CategoryDTO> categories) {
        this.categories = categories;
    }
    
}
