/*
 * -----------------------------------------------------------------------
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published
 *    by the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 * 
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 * 
 *    You should have received a copy of the GNU Library General Public
 *    License along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * ----------------------------------------------------------------------
 */

package uk.co.ruelgnoj.orion.tags;

import java.io.File;
import junit.framework.TestCase;

/**
 *
 * @author Steve Millington
 * @version $Id: DummyInvoker.java 219 2008-01-19 09:13:32Z steve $
 */
public class DummyInvoker extends TestCase {
    
    public void testAll() throws TagDatabaseException, ClassNotFoundException {
        final OrionTags t = new OrionTags();
        //final File srcDir = new File("d:\\source\\orion\\trunk\\orion-component\\src");
        final File srcDir = new File("f:\\tmp");
        //final File srcDir = new File("d:\\source\\orion\\trunk");
        //final File srcDir = new File("D:\\source\\cocoon-2.1.10");
        //final File srcDir = new File("D:\\source");
//        t.setDBURL("jdbc:derby://localhost:1527/orion/"+System.currentTimeMillis());
        t.setDBURL("jdbc:derby://localhost:1527/orion/db7;user=steve;password=stevepw");
        t.setSourceDirectory(srcDir);
        t.setVerbose(true);
        FileIterator fit = new FileIterator(srcDir);
        t.generate(fit);
    }

}
