/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package uk.co.ruelgnoj.orion.application;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.util.ResourceBundle;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 *
 * @author Steve Millington
 * @version $Id: OpenJDBCDialog.java 219 2008-01-19 09:13:32Z steve $
 */
public class OpenJDBCDialog extends OKCancelDialog {

    private static final String RBNAME = "uk.co.ruelgnoj.orion.application.resources";
    private JTextField _jtf;

    public OpenJDBCDialog(JFrame owner) {
        super(owner);
        setTitle(ResourceBundle.getBundle(RBNAME).getString("dialogs.openjdbc.title"));
    }

    @Override
    protected void initContent() {
        _jtf = new JTextField(40);
        final JLabel label = new JLabel(ResourceBundle.getBundle(RBNAME).getString("dialogs.openjdbc.url"));

        final JPanel area = new JPanel(new FlowLayout());
        area.add(label);
        area.add(_jtf);

        getContentPane().add(BorderLayout.CENTER, area);

    }

    public String getURL() {
        return _jtf.getText();
    }
}
