/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package uk.co.ruelgnoj.orion.component;

import java.util.Collections;
import java.util.List;
import uk.co.ruelgnoj.orion.dm.OrionDataModel;
import uk.co.ruelgnoj.orion.dm.OrionDataModelException;
import uk.co.ruelgnoj.orion.dm.OrionFileEntry;

/**
 *
 * @author steve
 */
public class SlowFailOrionDataModel implements OrionDataModel {

    @Override
    public List<String> getTags(String pattern) throws OrionDataModelException {
        slow();
        return Collections.emptyList();
    }

    @Override
    public List<OrionFileEntry> getFiles(String tagString) throws OrionDataModelException {
        slow();
        return Collections.emptyList();
    }

    @Override
    public CharSequence getFile(String fileName) throws OrionDataModelException {
        slow();
        return null;
    }

    @Override
    public CharSequence getFile(OrionFileEntry fileEntry) throws OrionDataModelException {
        slow();
        return null;
    }

    @Override
    public void destroy() {
        
    }
    
    private void slow() {
        try {
            Thread.sleep(5000L);
        } catch (InterruptedException ex) {
            // Ignore
        }
    }
    
}
