/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package uk.co.ruelgnoj.orion.defproj.dto;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import java.util.Collections;
import java.util.List;

/**
 *
 * @author steve
 */
@XStreamAlias("category")
public class CategoryDTO {

    private String description;
    @XStreamImplicit(itemFieldName="project")
    private List<ProjectDTO> projects;

    public CategoryDTO() {
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<ProjectDTO> getProjects() {
        if (projects == null) {
            return Collections.emptyList();
        }
        return projects;
    }

    public void setProjects(List<ProjectDTO> projects) {
        this.projects = projects;
    }

}
