/*
 * -----------------------------------------------------------------------
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published
 *    by the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 * 
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 * 
 *    You should have received a copy of the GNU Library General Public
 *    License along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * ----------------------------------------------------------------------
 */

package uk.co.ruelgnoj.orion.dm;

/**
 *
 * @author Steve Millington
 * @version $Id: OrionDataModelException.java 206 2008-01-14 18:20:55Z steve $
 */
public class OrionDataModelException extends Exception {
    public OrionDataModelException(String s, Throwable cause) {
        super(s, cause);
    }
    
    public OrionDataModelException(Throwable cause) {
        super(cause.getMessage(), cause);
    }
    
    public OrionDataModelException(String s) {
        super(s);
    }

}
