package uk.co.ruelgnoj.orion.tokenizers;


import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.io.IOException;
import java.io.BufferedReader;
import java.io.FileNotFoundException;

public class TokenizerTestCase {

    protected CharSequence loadFile(String name) throws IOException {
	final String res = "/uk/co/ruelgnoj/orion/tokenizers/" + name;
	final InputStream is = TokenizerTestCase.class.getResourceAsStream(res);
        if (is == null) {
            throw new FileNotFoundException(res);
        }
	try (Reader r = new InputStreamReader(is);
                BufferedReader br = new BufferedReader(r)) {
	    final StringBuffer sb = new StringBuffer();
	    int c;
	    while ((c = br.read()) >= 0) {
		sb.append((char)c);
	    }
	    return sb.toString();
	}
    }
}
