package uk.co.ruelgnoj.orion.tokenizers.impl;

import java.io.IOException;
import org.junit.Test;
import uk.co.ruelgnoj.orion.tokenizers.LanguageToken;
import uk.co.ruelgnoj.orion.tokenizers.LanguageTokenizer;
import uk.co.ruelgnoj.orion.tokenizers.TokenizerTestCase;
import static org.junit.Assert.*;

public class CLanguageTokenizerTest extends TokenizerTestCase {

    @Test
    public void data1() throws IOException {
	final LanguageTokenizer lt = new CLanguageTokenizer();
	final CharSequence cs = loadFile("CData1.txt");
	lt.setBuffer(cs);
	int numTokens = 0;
	for (LanguageToken tok: lt) {
	    numTokens++;
	}
	assertEquals(151, numTokens);
    }
}
