package uk.co.ruelgnoj.orion.tokenizers.impl;


import uk.co.ruelgnoj.orion.tokenizers.*;
import uk.co.ruelgnoj.orion.tokenizers.impl.CobolLanguageTokenizer;
import java.io.IOException;
import org.junit.Test;
import static org.junit.Assert.*;

public class CobolLanguageTokenizerTest extends TokenizerTestCase {

    @Test
    public void data1() throws IOException {
	final LanguageTokenizer lt = new CobolLanguageTokenizer();
	final CharSequence cs = loadFile("CobolData1.txt");
	lt.setBuffer(cs);
	int numTokens = 0;
	for (LanguageToken tok: lt) {
	    numTokens++;
	}
	assertEquals(2, numTokens);
    }
}
