package uk.co.ruelgnoj.prefs;

import javax.swing.Action;
import javax.swing.AbstractAction;
import java.awt.event.ActionEvent;

public class ShowPreferencesAction extends AbstractAction {

    private final PreferenceManager pm;

    public ShowPreferencesAction(PreferenceManager pm) {
        this.pm = pm;
        putValue(Action.NAME, "Preferences ...");
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        pm.displayDialog();
    }
}
